## trustedqsl 2.6.2

=== apps/CMakeLists.txt ===
project(tqsl)

set(OSX_ARCH i386 CACHE STRING "Architectures to build for OSX")

string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})

if(WIN32)
	set(wxWidgets_USE_STATIC ON)
	add_definitions(-DCURL_STATICLIB)
	add_definitions(-DXML_STATIC)
endif()

find_package(CURL REQUIRED)
find_package(EXPAT REQUIRED)

find_package(wxWidgets COMPONENTS core base adv html REQUIRED)

find_package(ZLIB REQUIRED)

include(${wxWidgets_USE_FILE})

if(APPLE)
	find_library(CARBON_LIBRARY Carbon)
	find_path(CARBON_INCLUDE_DIR Carbon.h)
endif()

include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR} ${BDB_INCLUDE_DIR} ${LMDB_INCLUDE_DIR})

if(${BUILD} MATCHES "-(alpha|beta|test|rc[0-9])")
	message("${BUILD} is a test build")
	add_definitions(-DTQSL_TEST_BUILD)
endif()

if(APPLE)
	add_definitions(-DOSX_PLATFORM="${OSX_PLATFORM}")
endif()

if(WIN32)
	set(TQSLLIB_NAME tqsllib2)
	set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
	set(TQSL_RCFILE "tqsl.rc")
	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
else()
	set(TQSLLIB_NAME tqsllib)
endif()

if(APPLE)
	set(OSX_ICONFILE "tqslicons.icns")
	set(MACOSX_BUNDLE_INFO_STRING "tqsl")
	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2022 American Radio Relay League")

	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
	set(TQSL_RCFILE ${OSX_ICONFILE})
endif()

if (NOT DEFINED TQSL_RPATH)
	SET (TQSL_RPATH FALSE)
endif ()

# Setting rpath is a workaround that shouldn't be in a
# product designed for multiple distributions. 
# However, users doing their own build from source need
# to sometimes set this. If your install can't find libtqsllib.so
# then add "-DTQSL_RPATH" to the cmake command line and try
# a reinstall.
#
# Some other possible RPATH hacks commented out. YMMV.
if(TQSL_RPATH) #rpath setup
#	SET(CMAKE_SKIP_BUILD_RPATH ${TQSL_RPATH})
#	SET(CMAKE_BUILD_WITH_INSTALL_RPATH ${TQSL_RPATH}) 
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
	LIST(APPEND CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
#	SET(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_LIBDIR})
endif()


set(TQSL_SRC tqsl.cpp extwizard.cpp tqslwiz.cpp dxcc.cpp stationdial.cpp
qsodatadialog.cpp tqslvalidator.cpp tqsl_prefs.cpp wxutil.cpp tqslhelp.cpp
crqwiz.cpp certtree.cpp getpassword.cpp loadcertwiz.cpp loctree.cpp
jsonreader.cpp  jsonval.cpp  jsonwriter.cpp)
set(TQSL_HDR tqslapp.h tqslwiz.h qsodatadialog.h tqslexcept.h
tqslpaths.h stationdial.h dxcc.h tqsl_prefs.h extwizard.h certtree.h
tqslvalidator.h tqslbuild.h tqslhelp.h certtree.h tqslctrls.h util.h
getpassword.h extwizard.h loadcertwiz.h wxutil.h loctree.h tqsltrace.h
json_defs.h  jsonreader.h  jsonval.h  jsonwriter.h)
set(TQSL_XPM left.xpm right.xpm bottom.xpm top.xpm key.xpm cert.xpm nocert.xpm
broken-cert.xpm folder.xpm replaced.xpm expired.xpm home.xpm delete.xpm edit.xpm
loc_add_dis.xpm properties.xpm download_dis.xpm loc_add.xpm upload_dis.xpm
download.xpm file_edit_dis.xpm upload.xpm delete_dis.xpm edit_dis.xpm
file_edit.xpm properties_dis.xpm save.xpm import.xpm lotw.xpm)
add_executable(tqsl WIN32 MACOSX_BUNDLE ${TQSL_SRC} ${TQSL_HDR} ${TQSL_XPM} ${TQSL_RCFILE})

target_link_libraries(tqsl ${TQSLLIB_NAME}
  ${wxWidgets_LIBRARIES} ${ZLIB_LIBRARIES} ${CURL_LIBRARIES} ${CARBON_LIBRARY} ${EXPAT_LIBRARIES})

if(WIN32)
	set(UPDATER_SRC tqslupdater.cpp)
	add_executable(tqslupdater WIN32 ${UPDATER_SRC} ${TQSL_HDR})
	target_link_libraries(tqslupdater ${wxWidgets_LIBRARIES} ${CURL_LIBRARIES} ${OPENSSL_LIBRARIES})
endif()

if(NOT APPLE AND NOT WIN32)
	install(TARGETS tqsl DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(DIRECTORY help DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
	install(FILES tqsl.5 DESTINATION ${CMAKE_INSTALL_MANDIR}/man5)
	install(FILES icons/key48.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps RENAME TrustedQSL.png)
	install(FILES lang/de/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/de/LC_MESSAGES)
	install(FILES lang/es/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/es/LC_MESSAGES)
	install(FILES lang/fi/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fi/LC_MESSAGES)
	install(FILES lang/fr/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fr/LC_MESSAGES)
	install(FILES lang/hi_IN/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/hi_IN/LC_MESSAGES)
	install(FILES lang/it/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/it/LC_MESSAGES)
	install(FILES lang/ja/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ja/LC_MESSAGES)
	install(FILES lang/pt/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pt/LC_MESSAGES)
	install(FILES lang/zh_TW/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_TW/LC_MESSAGES)
	install(FILES lang/zh_CN/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_CN/LC_MESSAGES)
	install(FILES lang/ru/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ru/LC_MESSAGES)
	install(FILES languages.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
	install(FILES cab_modes.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)

endif()

=== debian/changelog ===
trustedqsl (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2.
  * Use proper CMake variable for installing into libdir.
  * Drop OpenSSL 3 patch, fixed upstream.

 -- Christoph Berg <myon@debian.org>  Tue, 24 May 2022 20:16:01 +0200

## trustedqsl 2.6.3

=== debian/changelog ===
trustedqsl (2.6.3-1) unstable; urgency=medium

  * New upstream version 2.6.3
  * Refresh patches for new upstream version
  * Fix segfault when renewing station certificate (Closes: #1012020)

 -- tony mancill <tmancill@debian.org>  Sat, 04 Jun 2022 08:37:47 -0700

## trustedqsl 2.6.4

=== debian/changelog ===
trustedqsl (2.6.4-1) unstable; urgency=medium

  * New upstream version 2.6.4
  * Remove patches applied upstream
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Mon, 18 Jul 2022 20:06:56 -0700

=== debian/control ===
Source: trustedqsl
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
           tony mancill <tmancill@debian.org>
Section: hamradio
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcurl4-openssl-dev,
               libexpat1-dev,
               liblmdb-dev,
               libssl-dev,
               libwxgtk3.0-gtk3-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
Homepage: https://sourceforge.net/projects/trustedqsl/
Rules-Requires-Root: no

Package: trustedqsl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: QSL log signing for the Logbook of the World (LoTW)
 Open source libraries and utilities to support using digital signatures
 for amateur radio QSL information.
 .
 A QSL is a confirmation of contact between two amateur radio stations.
 The ARRL Logbook of the World project is a database which collects
 data about contacts between amateur stations (QSOs). This package
 provides the 'tqsl' program for maintaining your digital certificates
 for LoTW and signing and uploading QSO log files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Disable WXDEBUG assertions, which are on by default in wx3.0.
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@

override_dh_install:
	# Omit the 5 header files that the build installs to /usr/include
	# (they would belong in a -dev package)
	dh_install
	rm -r debian/trustedqsl/usr/include

override_dh_installman:
	# Duplicate the tqsl.5 man page for tqsl.1 but fix its section
	# for dh_installman (see debian/trustedqsl.manpages).
	mkdir -p debian/tmp
	sed 's/^\.TH TQSL 5/.TH TQSL 1/' < apps/tqsl.5  \
	    > debian/tmp/tqsl.1
	dh_installman

override_dh_auto_configure:
	dh_auto_configure -- \
		-DTQSL_RPATH=TRUE \
		-DCMAKE_INSTALL_LIBDIR=lib/trustedqsl \
		-DCMAKE_INSTALL_MANDIR=/usr/share/man

## trustedqsl 2.6.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8 FATAL_ERROR)

project(TrustedQSL)

find_package(OpenSSL REQUIRED)


if ( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )
  if ( CMAKE_VERSION VERSION_LESS 2.8.12 )
    SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
  else()
    ADD_COMPILE_OPTIONS("-fPIC")
  endif ( CMAKE_VERSION VERSION_LESS 2.8.12 )
endif( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )

SET (LINUX FALSE)
IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    SET(LINUX TRUE)
ENDIF ()

# These attempts to play with LIB_SUFFIX aren't portable.
# Comment this out, and let GNUInstallDirs do this.
# Uncomment if you're sure it's needed.
#SET (LIB_SUFFIX "")
#
# Pre-set LIB_SUFFIX for 64-bit Linux platforms
#IF (LINUX AND CMAKE_SHARED_LIBRARY_PREFIX STREQUAL "lib64")
#  SET (LIB_SUFFIX "64")
#ENDIF()
#
# Make sure that there's a value for LIB_SUFFIX
#IF (LINUX AND NOT CMAKE_SHARED_LIBRARY_PREFIX AND NOT LIB_SUFFIX) 
#  # check 64 bit
#    IF (CMAKE_SIZEOF_VOID_P EQUAL 4)
#      SET (LIB_SUFFIX "")
#    ELSE (CMAKE_SIZEOF_VOID_P EQUAL 4)
#      SET (LIB_SUFFIX "64")
#    ENDIF (CMAKE_SIZEOF_VOID_P EQUAL 4)
#ENDIF (LINUX AND NOT CMAKE_SHARED_LIBRARY_PREFIX AND NOT LIB_SUFFIX) 

if(LINUX)
	include(GNUInstallDirs)
	if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
		if(CMAKE_SIZEOF_VOID_P EQUAL 4)
			set(CMAKE_INSTALL_LIBDIR lib)
		else()
			set(CMAKE_INSTALL_LIBDIR lib64)
		endif()
	endif()
	if(NOT DEFINED CMAKE_INSTALL_DATADIR)
		set(CMAKE_INSTALL_DATADIR share)
	endif()
	if(NOT DEFINED CMAKE_INSTALL_INCLUDEDIR)
		set(CMAKE_INSTLL_INCLUDEDIR include)
	endif()
	if(NOT DEFINED CMAKE_INSTALL_BINDIR)
		set(CMAKE_INSTALL_BINDIR bin)
	endif()
elseif (NOT WIN32 AND NOT APPLE)
	set(CMAKE_INSTALL_LIBDIR lib)
	set(CMAKE_INSTALL_DATADIR share)
	set(CMAKE_INSTALL_INCLUDEDIR include)
	set(CMAKE_INSTALL_BINDIR bin)
endif(LINUX)

if(WIN32)
  set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
  # just windows for now... unix knows how to find libraries better
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
endif()

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmakemodules/")
find_package(OptionalAddSubdirectory REQUIRED)

option(USE_STATIC_MSVCRT "Use a static Visual C++ Runtime when building with MSVC")

if(MSVC AND USE_STATIC_MSVCRT)
foreach(flag_var
        CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
        CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
   if(${flag_var} MATCHES "/MD")
      string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
   endif(${flag_var} MATCHES "/MD")
endforeach(flag_var)
else()
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall")
endif()

# Prefer LMDB, fall back to BDB if that's not available
find_package(LMDB)
if(NOT LMDB_FOUND)
	set (LMDB_LIBRARIES "")
	find_package(BDB REQUIRED)
	set (LMDB_INCLUDE_DIR "")
else()
	add_definitions(-DUSE_LMDB)
	set (BDB_INCLUDE_DIR "")
endif()

if(NOT APPLE AND NOT WIN32)
	add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/TrustedQSL/\"")
endif()

# Get version number

file(STRINGS "apps/tqslversion.ver" TQSLVERSION)
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\3" TQSL_VERSION_UPDATE ${TQSLVERSION})

# Handle case where version number does not have an update i.e. 2.0
if (TQSL_VERSION_MAJOR STREQUAL ${TQSLVERSION}) 
	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
	set(TQSL_VERSION_UPDATE "0")
endif()

#get build # with git

find_program(GIT_PROG git "C:\\Program Files (x86)\\Git\\bin" "C:\\Program Files\\Git\\bin")

if(GIT_PROG) #we can use git
	execute_process(COMMAND ${GIT_PROG} describe RESULT_VARIABLE GITERROR ERROR_QUIET OUTPUT_VARIABLE HEAD_COMMIT OUTPUT_STRIP_TRAILING_WHITESPACE)
	if(NOT GITERROR) #git ran alright
		set(BUILD ${HEAD_COMMIT})
	else()		# Git error - hope this is a source distro
		if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h)
			file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h BUILDSTR REGEX "\\[.*\\]")
			string(REGEX REPLACE ".*\\[(.*)\\].*" "\\1" BUILD ${BUILDSTR})
		endif()
	endif()
else()	# No git, again grab from source
	if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h)
		file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h BUILDSTR REGEX "\\[.*\\]")
		string(REGEX REPLACE ".*\\[(.*)\\].*" "\\1" BUILD ${BUILDSTR})
	endif()
endif()

# If BUILD is set (we have a version) and BUILDSTR is not (we got that build from
# git), then write a tqslbuild.h. Else leave it alone.
if(BUILD AND NOT BUILDSTR)
	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h")
else() #hope this is a source distribution, which will always include a correct tqslbuild
	if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h")
		#but otherwise someone downloaded a snapshot without a buildfile
		set(BUILD "unknown")
		configure_file("${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h")
	endif()
endif()

# In case the versions couldn't be deduced, set them
if(NOT ${TQSL_VERSION_MAJOR})
	set(TQSL_VERSION_MAJOR 2)
endif()

if(NOT TQSL_VERSION_MINOR)
	set(TQSL_VERSION_MINOR 1)
endif()

if (NOT TQSL_VERSION_UPDATE)
	set(TQSL_VERSION_UPDATE 0)
endif()

IF(TQSL_VERSION_UPDATE AND NOT TQSL_VERSION_UPDATE EQUAL 0) 
	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}.${TQSL_VERSION_UPDATE}")
else()
	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")
endif()
#
add_subdirectory(src) #tqsllib
add_subdirectory(apps)
macro_optional_add_subdirectory(tests)

=== src/CMakeLists.txt ===
project (tqsllib)

set(OSX_ARCH i386 CACHE STRING "Architectures to build for OSX")

string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})

if(WIN32)
  add_definitions(-DXML_STATIC)
endif()

if(APPLE)
  set(CMAKE_MACOSX_RPATH 0)
endif()

find_package(EXPAT REQUIRED)
find_package(ZLIB REQUIRED)

set(TQSLLIB_VERSION_MAJOR 2)
set(TQSLLIB_VERSION_MINOR 5)
set(TQSLLIB_VERSION "${TQSLLIB_VERSION_MAJOR}.${TQSLLIB_VERSION_MINOR}")

add_definitions(-DTQSLLIB_VERSION_MAJOR=${TQSLLIB_VERSION_MAJOR})
add_definitions(-DTQSLLIB_VERSION_MINOR=${TQSLLIB_VERSION_MINOR})
add_definitions(-DTQSL_VERSION_MAJOR=${TQSL_VERSION_MAJOR})
add_definitions(-DTQSL_VERSION_MINOR=${TQSL_VERSION_MINOR})
add_definitions(-DTQSL_VERSION_UPDATE=${TQSL_VERSION_UPDATE})

option(TQSLLIB_STATIC "Build static tqsllib" OFF)
if (${TQSLLIB_STATIC})
set(TQSLLIBTYPE STATIC)
else()
set(TQSLLIBTYPE SHARED)
endif()

if(WIN32)
set(TQSLLIB_RCFILE "tqsllib.rc")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSLLIB_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSLLIB_RCFILE}")
set(TQSLLIBNAME "tqsllib2") #for compatibility with existing software
else()
set(TQSLLIBNAME "tqsllib")
endif()

set(TQSLLIB_SRC tqsllib.cpp openssl_cert.cpp adif.cpp xml.cpp location.cpp tqslconvert.cpp cabrillo.cpp)
set(TQSLLIB_HDR xml.h openssl_cert.h tqslexc.h tqsllib.h tqslerrno.h cabrillo.h adif.h tqslconvert.h)

if(APPLE)
find_library(CARBON_LIBRARY Carbon)
find_path(CARBON_INCLUDE_DIR Carbon.h)
endif()
if(WIN32)
#def file for correct 2.x exports
set(TQSLLIB_SRC ${TQSLLIB_SRC} "tqsllib2.def")
endif()

add_library(${TQSLLIBNAME} ${TQSLLIBTYPE} ${TQSLLIB_SRC} ${TQSLLIB_HDR} ${TQSLLIB_RCFILE})
target_link_libraries(${TQSLLIBNAME} ${OPENSSL_LIBRARIES} ${EXPAT_LIBRARIES} ${ZLIB_LIBRARIES} ${BDB_LIBRARIES} ${LMDB_LIBRARIES} ${CARBON_LIBRARY})
include_directories(${OPENSSL_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${BDB_INCLUDE_DIR} ${LMDB_INCLUDE_DIR} ${CARBON_INCLUDE_DIR})

if(NOT APPLE AND NOT WIN32)
set(HEADERS_TO_INSTALL tqsllib.h tqslerrno.h cabrillo.h adif.h tqslconvert.h)
install(TARGETS tqsllib DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES config.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
install(FILES ${HEADERS_TO_INSTALL} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
endif()

option(BUILD_ALL_EXTRAPROGS "Build all extra programs")

if(BUILD_ALL_EXTRAPROGS)
set(BUILD_GENCRQ ON)
set(BUILD_LOADCERT ON)
set(BUILD_STATIONLOC ON)
set(BUILD_CONVERTER ON)

if(WIN32 AND (BUILD_GENCRQ OR BUILD_LOADCERT OR BUILD_STATIONLOC OR BUILD_CONVERTER))
message("I can't build the tqsllib programs on Windows yet. Disabling them...")
set(BUILD_GENCRQ OFF)
set(BUILD_LOADCERT OFF)
set(BUILD_STATIONLOC OFF)
set(BUILD_CONVERTER OFF)
endif()

else()
option(BUILD_GENCRQ "Build gen_crq")
option(BUILD_LOADCERT "Build load_cert")
option(BUILD_STATIONLOC "Build station_loc")
option(BUILD_CONVERTER "Build converter")

endif(BUILD_ALL_EXTRAPROGS)

if(BUILD_GENCRQ)
add_executable(gen_crq gen_crq.cpp)
target_link_libraries(gen_crq ${TQSLLIBNAME})
endif(BUILD_GENCRQ)

if(BUILD_LOADCERT)
add_executable(load_cert load_cert.cpp)
target_link_libraries(load_cert ${TQSLLIBNAME})
endif(BUILD_LOADCERT)

if(BUILD_STATIONLOC)
add_executable(station_loc station_loc.cpp)
target_link_libraries(station_loc ${TQSLLIBNAME})
endif(BUILD_STATIONLOC)

if(BUILD_CONVERTER)
add_executable(converter converter.cpp)
target_link_libraries(converter ${TQSLLIBNAME})
endif(BUILD_CONVERTER)

=== debian/changelog ===
trustedqsl (2.6.5-2) unstable; urgency=medium

  * Symlink /usr/share/docs/trustedqsl/help to upstream docs
    (Closes: #1020635)
  * Bump Standards-Version to 4.6.2

 -- tony mancill <tmancill@debian.org>  Sat, 14 Jan 2023 10:33:45 -0800

trustedqsl (2.6.5-1) unstable; urgency=medium

  * New upstream version 2.6.5
  * Update build-dep for wxWidgets to 3.2 (Closes: #1019778)

 -- tony mancill <tmancill@debian.org>  Wed, 14 Sep 2022 17:26:37 -0700

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libexpat1-dev,
                liblmdb-dev,
                libssl-dev,
-               libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
 Homepage: https://sourceforge.net/projects/trustedqsl/

## trustedqsl 2.7.1

=== debian/changelog ===
trustedqsl (2.7.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Sun, 26 Nov 2023 09:08:41 -0800

trustedqsl (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1
  * Replace build-dep on liblmdb-dev with libsqlite3-dev
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Tue, 07 Nov 2023 21:25:22 -0800

## trustedqsl 2.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,18 +86,10 @@
 endforeach(flag_var)
 else()
 	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall")
+	set(gtest_force_shared_crt ON CACHE BOOL "Use shared (DLL) run-time lib even when Google Test is built as static lib." FORCE)
 endif()
 
-# Prefer LMDB, fall back to BDB if that's not available
-find_package(LMDB)
-if(NOT LMDB_FOUND)
-	set (LMDB_LIBRARIES "")
-	find_package(BDB REQUIRED)
-	set (LMDB_INCLUDE_DIR "")
-else()
-	add_definitions(-DUSE_LMDB)
-	set (BDB_INCLUDE_DIR "")
-endif()
+find_package(SQLite3 REQUIRED)
 
 if(NOT APPLE AND NOT WIN32)
 	add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/TrustedQSL/\"")
@@ -168,7 +160,14 @@
 else()
 	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")
 endif()
-#
+
+if(WIN32)
+set(TQSLLIBNAME "tqsllib2") #for compatibility with existing software
+else()
+set(TQSLLIBNAME "tqsllib")
+endif()
+
 add_subdirectory(src) #tqsllib
 add_subdirectory(apps)
 macro_optional_add_subdirectory(tests)
+enable_testing()

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 project(tqsl)
 
-set(OSX_ARCH i386 CACHE STRING "Architectures to build for OSX")
-
-string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})
+option(TQSL_FLATPAK "Set for Flatpak builds" OFF)
 
 if(WIN32)
 	set(wxWidgets_USE_STATIC ON)
@@ -24,7 +22,7 @@
 	find_path(CARBON_INCLUDE_DIR Carbon.h)
 endif()
 
-include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR} ${BDB_INCLUDE_DIR} ${LMDB_INCLUDE_DIR})
+include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR} ${SQLite3_INCLUDE_DIRS} )
 
 if(${BUILD} MATCHES "-(alpha|beta|test|rc[0-9])")
 	message("${BUILD} is a test build")
@@ -36,12 +34,9 @@
 endif()
 
 if(WIN32)
-	set(TQSLLIB_NAME tqsllib2)
 	set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
 	set(TQSL_RCFILE "tqsl.rc")
 	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
-else()
-	set(TQSLLIB_NAME tqsllib)
 endif()
 
 if(APPLE)
@@ -50,7 +45,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2022 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2023 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
@@ -94,7 +89,7 @@
 file_edit.xpm properties_dis.xpm save.xpm import.xpm lotw.xpm)
 add_executable(tqsl WIN32 MACOSX_BUNDLE ${TQSL_SRC} ${TQSL_HDR} ${TQSL_XPM} ${TQSL_RCFILE})
 
-target_link_libraries(tqsl ${TQSLLIB_NAME}
+target_link_libraries(tqsl ${TQSLLIBNAME}
   ${wxWidgets_LIBRARIES} ${ZLIB_LIBRARIES} ${CURL_LIBRARIES} ${CARBON_LIBRARY} ${EXPAT_LIBRARIES})
 
 if(WIN32)
@@ -107,7 +102,22 @@
 	install(TARGETS tqsl DESTINATION ${CMAKE_INSTALL_BINDIR})
 	install(DIRECTORY help DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
 	install(FILES tqsl.5 DESTINATION ${CMAKE_INSTALL_MANDIR}/man5)
-	install(FILES icons/key48.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps RENAME TrustedQSL.png)
+	if (TQSL_FLATPAK)
+		install(FILES icons/key128.png DESTINATION ${CMAKE_INSTALL_DATADIR}/app-info/icons/flatpak/128x128 RENAME org.arrl.trustedqsl.png)
+		install(FILES icons/key64.png DESTINATION ${CMAKE_INSTALL_DATADIR}/app-info/icons/flatpak/64x64 RENAME org.arrl.trustedqsl.png)
+		install(FILES org.arrl.trustedqsl.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+	else()
+		install(FILES icons/key48.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps RENAME TrustedQSL.png)
+	endif()
+	install(FILES icons/key128.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps RENAME org.arrl.trustedqsl.png)
+	install(FILES icons/key64.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps RENAME org.arrl.trustedqsl.png)
+	install(FILES icons/key48.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps RENAME org.arrl.trustedqsl.png)
+	install(FILES icons/key32.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps RENAME org.arrl.trustedqsl.png)
+	install(FILES icons/key16.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/16x16/apps RENAME org.arrl.trustedqsl.png)
+
+	install(FILES org.arrl.trustedqsl.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	install(FILES lang/ca_ES/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ca_ES/LC_MESSAGES)
 	install(FILES lang/de/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/de/LC_MESSAGES)
 	install(FILES lang/es/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/es/LC_MESSAGES)
 	install(FILES lang/fi/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fi/LC_MESSAGES)
@@ -115,11 +125,34 @@
 	install(FILES lang/hi_IN/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/hi_IN/LC_MESSAGES)
 	install(FILES lang/it/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/it/LC_MESSAGES)
 	install(FILES lang/ja/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ja/LC_MESSAGES)
+	install(FILES lang/pl_PL/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pl_PL/LC_MESSAGES)
 	install(FILES lang/pt/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pt/LC_MESSAGES)
+	install(FILES lang/ru/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ru/LC_MESSAGES)
+	install(FILES lang/sv_SE/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/sv_SE/LC_MESSAGES)
+	install(FILES lang/tr_TR/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/tr_TR/LC_MESSAGES)
 	install(FILES lang/zh_TW/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_TW/LC_MESSAGES)
 	install(FILES lang/zh_CN/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_CN/LC_MESSAGES)
-	install(FILES lang/ru/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ru/LC_MESSAGES)
 	install(FILES languages.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
 	install(FILES cab_modes.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
-
+#
+# Flatpak doesn't come with installed wxWidgets localizations
+# so add them in
+#
+	if (TQSL_FLATPAK)
+		install(FILES org.arrl.trustedqsl.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
+		install(FILES lang/ca_ES/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ca_ES/LC_MESSAGES)
+		install(FILES lang/de/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/de/LC_MESSAGES)
+		install(FILES lang/es/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/es/LC_MESSAGES)
+		install(FILES lang/fi/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fi/LC_MESSAGES)
+		install(FILES lang/fr/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/fr/LC_MESSAGES)
+		install(FILES lang/hi_IN/wxstd.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/hi_IN/LC_MESSAGES)
+		install(FILES lang/it/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/it/LC_MESSAGES)
+		install(FILES lang/ja/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ja/LC_MESSAGES)
+		install(FILES lang/pl_PL/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/pl_PL/LC_MESSAGES)
+		install(FILES lang/ru/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/ru/LC_MESSAGES)
+		install(FILES lang/sv_SE/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/sv_SE/LC_MESSAGES)
+		install(FILES lang/tr_TR/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/tr_TR/LC_MESSAGES)
+		install(FILES lang/zh_CN/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_CN/LC_MESSAGES)
+		install(FILES lang/zh_TW/wxstd-3.2.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_TW/LC_MESSAGES)
+	endif()
 endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
 project (tqsllib)
-
-set(OSX_ARCH i386 CACHE STRING "Architectures to build for OSX")
-
-string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})
 
 if(WIN32)
   add_definitions(-DXML_STATIC)
@@ -35,9 +31,6 @@
 if(WIN32)
 set(TQSLLIB_RCFILE "tqsllib.rc")
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSLLIB_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSLLIB_RCFILE}")
-set(TQSLLIBNAME "tqsllib2") #for compatibility with existing software
-else()
-set(TQSLLIBNAME "tqsllib")
 endif()
 
 set(TQSLLIB_SRC tqsllib.cpp openssl_cert.cpp adif.cpp xml.cpp location.cpp tqslconvert.cpp cabrillo.cpp)
@@ -49,12 +42,19 @@
 endif()
 if(WIN32)
 #def file for correct 2.x exports
+if(CMAKE_SIZEOF_VOID_P EQUAL 8)
+set(TQSLLIB_SRC ${TQSLLIB_SRC} "tqsllib2-x64.def")
+else()
 set(TQSLLIB_SRC ${TQSLLIB_SRC} "tqsllib2.def")
+endif()
 endif()
 
 add_library(${TQSLLIBNAME} ${TQSLLIBTYPE} ${TQSLLIB_SRC} ${TQSLLIB_HDR} ${TQSLLIB_RCFILE})
-target_link_libraries(${TQSLLIBNAME} ${OPENSSL_LIBRARIES} ${EXPAT_LIBRARIES} ${ZLIB_LIBRARIES} ${BDB_LIBRARIES} ${LMDB_LIBRARIES} ${CARBON_LIBRARY})
-include_directories(${OPENSSL_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${BDB_INCLUDE_DIR} ${LMDB_INCLUDE_DIR} ${CARBON_INCLUDE_DIR})
+target_link_libraries(${TQSLLIBNAME} ${OPENSSL_LIBRARIES} ${EXPAT_LIBRARIES} ${ZLIB_LIBRARIES} ${SQLite3_LIBRARIES} ${CARBON_LIBRARY})
+if(WIN32)
+  target_link_libraries(${TQSLLIBNAME} ws2_32)
+endif()
+include_directories(${OPENSSL_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${SQLite3_INCLUDE_DIRS} ${CARBON_INCLUDE_DIR})
 
 if(NOT APPLE AND NOT WIN32)
 set(HEADERS_TO_INSTALL tqsllib.h tqslerrno.h cabrillo.h adif.h tqslconvert.h)

=== debian/changelog ===
trustedqsl (2.7.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Wed, 27 Dec 2023 15:54:35 -0800

trustedqsl (2.7.2-1) unstable; urgency=medium

  * New upstream version 2.7.2

 -- tony mancill <tmancill@debian.org>  Sat, 16 Dec 2023 17:45:00 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libexpat1-dev,
-               liblmdb-dev,
+               libsqlite3-dev,
                libssl-dev,
                libwxgtk3.2-dev,
                zlib1g-dev

## trustedqsl 2.7.3

=== debian/changelog ===
trustedqsl (2.7.3-2) unstable; urgency=medium

  * Team upload
  * Remove old, duplicated desktop files

 -- Daniel Rusek <mail@asciiwolf.com>  Sat, 03 Aug 2024 12:04:26 +0200

trustedqsl (2.7.3-1) unstable; urgency=medium

  * Team upload

  [ Loren M. Lang ]
  * Fix watch file to ignore warning about possible PGP signature
  * New upstream version 2.7.3
  * Bump Standards-Version to 4.7.0
  * Freshen years in debian/copyright

 -- Loren M. Lang <lorenl@north-winds.org>  Sun, 21 Apr 2024 17:35:34 -0700

## trustedqsl 2.7.4

=== debian/changelog ===
trustedqsl (2.7.4-1) unstable; urgency=medium

  * New upstream version 2.7.4

 -- tony mancill <tmancill@debian.org>  Sun, 03 Nov 2024 16:42:36 -0800

## trustedqsl 2.7.5

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2023 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2024 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
@@ -95,7 +95,7 @@
 if(WIN32)
 	set(UPDATER_SRC tqslupdater.cpp)
 	add_executable(tqslupdater WIN32 ${UPDATER_SRC} ${TQSL_HDR})
-	target_link_libraries(tqslupdater ${wxWidgets_LIBRARIES} ${CURL_LIBRARIES} ${OPENSSL_LIBRARIES})
+	target_link_libraries(tqslupdater ${wxWidgets_LIBRARIES} ${CURL_LIBRARIES} ${OPENSSL_LIBRARIES} Crypt32)
 endif()
 
 if(NOT APPLE AND NOT WIN32)
@@ -134,6 +134,7 @@
 	install(FILES lang/zh_CN/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_CN/LC_MESSAGES)
 	install(FILES languages.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
 	install(FILES cab_modes.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
+	install(FILES vuccgrids.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
 #
 # Flatpak doesn't come with installed wxWidgets localizations
 # so add them in

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 add_definitions(-DTQSL_VERSION_MAJOR=${TQSL_VERSION_MAJOR})
 add_definitions(-DTQSL_VERSION_MINOR=${TQSL_VERSION_MINOR})
 add_definitions(-DTQSL_VERSION_UPDATE=${TQSL_VERSION_UPDATE})
+add_definitions(-DTQSL_VERSION_PATCH=${TQSL_VERSION_PATCH})
 
 option(TQSLLIB_STATIC "Build static tqsllib" OFF)
 if (${TQSLLIB_STATIC})
@@ -52,7 +53,7 @@
 add_library(${TQSLLIBNAME} ${TQSLLIBTYPE} ${TQSLLIB_SRC} ${TQSLLIB_HDR} ${TQSLLIB_RCFILE})
 target_link_libraries(${TQSLLIBNAME} ${OPENSSL_LIBRARIES} ${EXPAT_LIBRARIES} ${ZLIB_LIBRARIES} ${SQLite3_LIBRARIES} ${CARBON_LIBRARY})
 if(WIN32)
-  target_link_libraries(${TQSLLIBNAME} ws2_32)
+  target_link_libraries(${TQSLLIBNAME} ws2_32 Crypt32)
 endif()
 include_directories(${OPENSSL_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${SQLite3_INCLUDE_DIRS} ${CARBON_INCLUDE_DIR})

=== debian/changelog ===
trustedqsl (2.7.5-1) unstable; urgency=medium

  * New upstream version 2.7.5 (Closes: #1088845)

 -- tony mancill <tmancill@debian.org>  Sun, 01 Dec 2024 14:34:18 -0800

=== debian/watch ===
version=4

# older versions, e.g. TrustedQSL-1.13 ==> 1.13
#http://sf.net/trustedqsl/TrustedQSL-([\d\.]+)\.tar\.gz

# newer versions (since 1.14.2) should work with standard sourceforge scanner
#http://sf.net/trustedqsl/tqsl-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# versions since 2.3 are distributed from www.arrl.org
# ARRL's website returns 200 OK even on non-existent files so don't scan for
# PGP signature
opts="pgpmode=none" \
    https://www.arrl.org/tqsl-download \
    .*/tqsl-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## trustedqsl 2.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.8 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.14.7 FATAL_ERROR)
 
 project(TrustedQSL)
 
@@ -98,15 +98,23 @@
 # Get version number
 
 file(STRINGS "apps/tqslversion.ver" TQSLVERSION)
-string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
-string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
-string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\3" TQSL_VERSION_UPDATE ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9.]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9.]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9.]+)" "\\3" TQSL_VERSION_UPDATE ${TQSLVERSION})
 
 # Handle case where version number does not have an update i.e. 2.0
 if (TQSL_VERSION_MAJOR STREQUAL ${TQSLVERSION}) 
 	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
 	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
 	set(TQSL_VERSION_UPDATE "0")
+endif()
+
+# Handle case where there's a patch (fourth number)
+if (TQSL_VERSION_UPDATE MATCHES "[0-9]+\\.[0-9]+")
+	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_PATCH ${TQSL_VERSION_UPDATE})
+	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_UPDATE ${TQSL_VERSION_UPDATE})
+else()
+	SET(TQSL_VERSION_PATCH "")
 endif()
 
 #get build # with git
@@ -155,10 +163,18 @@
 	set(TQSL_VERSION_UPDATE 0)
 endif()
 
+if (NOT TQSL_VERSION_PATCH)
+	set(TQSL_VERSION_PATCH 0)
+endif()
+
 IF(TQSL_VERSION_UPDATE AND NOT TQSL_VERSION_UPDATE EQUAL 0) 
 	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}.${TQSL_VERSION_UPDATE}")
 else()
 	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")
+endif()
+if (NOT TQSL_VERSION_PATCH EQUAL 0)
+	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}.${TQSL_VERSION_UPDATE}.{TQSL_VERSION_PATCH}")
+	
 endif()
 
 if(WIN32)

=== debian/changelog ===
trustedqsl (2.8.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Fri, 20 Jun 2025 10:51:04 -0700

trustedqsl (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1.

 -- Christoph Berg <myon@debian.org>  Thu, 01 May 2025 11:05:39 +0200

trustedqsl (2.7.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Team upload
  * Rebuild for bookworm-backports.

 -- Loren M. Lang <lorenl@north-winds.org>  Sat, 21 Dec 2024 18:50:38 -0800

trustedqsl (2.7.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- tony mancill <tmancill@debian.org>  Thu, 02 May 2024 23:32:58 -0700

## trustedqsl 2.8.2

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2024 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2025 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
@@ -134,7 +134,12 @@
 	install(FILES lang/zh_CN/tqslapp.mo DESTINATION ${CMAKE_INSTALL_DATADIR}/locale/zh_CN/LC_MESSAGES)
 	install(FILES languages.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
 	install(FILES cab_modes.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
+#
+# If adding files here, remember that they need to be added to
+# macos_createdmg.sh
+#
 	install(FILES vuccgrids.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
+	install(FILES prefixes.dat DESTINATION ${CMAKE_INSTALL_DATADIR}/TrustedQSL)
 #
 # Flatpak doesn't come with installed wxWidgets localizations
 # so add them in

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 find_package(ZLIB REQUIRED)
 
 set(TQSLLIB_VERSION_MAJOR 2)
-set(TQSLLIB_VERSION_MINOR 5)
+set(TQSLLIB_VERSION_MINOR 6)
 set(TQSLLIB_VERSION "${TQSLLIB_VERSION_MAJOR}.${TQSLLIB_VERSION_MINOR}")
 
 add_definitions(-DTQSLLIB_VERSION_MAJOR=${TQSLLIB_VERSION_MAJOR})

=== debian/changelog ===
trustedqsl (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Sep 2025 15:03:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libssl-dev,
                libwxgtk3.2-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
 Homepage: https://sourceforge.net/projects/trustedqsl/

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	# (they would belong in a -dev package)
 	dh_install
 	rm -r debian/trustedqsl/usr/include
+	# symlink tqsl documentation into /usr/share/doc/trustedqsl
+	# see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1020635
+	dh_link usr/share/TrustedQSL/help/tqslapp usr/share/doc/trustedqsl/help
 
 override_dh_installman:
 	# Duplicate the tqsl.5 man page for tqsl.1 but fix its section

## trustedqsl 2.8.3

=== debian/changelog ===
trustedqsl (2.8.3-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- tony mancill <tmancill@debian.org>  Fri, 23 Jan 2026 11:48:45 -0800

trustedqsl (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Jan 2026 13:08:17 +0100

trustedqsl (2.8.2-1~bpo13+1) trixie-backports; urgency=medium

  * Add debian/gbp.conf for trixie-backports
  * Rebuild for trixie-backports.

 -- tony mancill <tmancill@debian.org>  Sat, 03 Jan 2026 14:50:26 -0800

## trustedqsl 2.8.4

=== debian/changelog ===
trustedqsl (2.8.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- tony mancill <tmancill@debian.org>  Sun, 08 Feb 2026 08:17:55 -0800

trustedqsl (2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4.

 -- Christoph Berg <myon@debian.org>  Sun, 01 Feb 2026 21:08:44 +0100
